# mblaze.env
# Written in 2020 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
.POSIX:
.SUFFIXES:
.SUFFIXES: .sh

PREFIX =	${HOME}/.mblaze

BIN =		m mless
CONTRIB =	contrib/mencrypt contrib/mgpg contrib/msign contrib/mverify

all: ${BIN}

clean:
	rm -f ${BIN}

install: all env mlesskey mless-key-handler ${CONTRIB}
	mkdir -pm 700 ${PREFIX}
	lesskey -o ${PREFIX}/mless mlesskey
	cp -f env mless-key-handler ${PREFIX}
	mkdir -p ${PREFIX}/bin
	cp -f ${BIN} ${PREFIX}/bin
	cp -f ${CONTRIB} ${PREFIX}/bin
	cd ${PREFIX}/bin && chmod 555 ${BIN}

uninstall:
	cd ${PREFIX}/bin && rm -f ${BIN} ${CONTRIB}
	rm -f ${PREFIX}/env ${PREFIX}/mless ${PREFIX}/mless-key-handler
